# ff-webpage

Feuerwehr Webseite zu Strapi Contnet Management

## Einleitung

Dieses Repository dient zur dynamischen Erstellung von Webseiten. Es ist ein Frontend-Client, der auf die Daten des [Strapi Content Management Systems (CMS)](https://forgejo.jk-effects.cloud/Ehrenamt/ff-webpage-cms) zugreift. Die Webseite wird mit Nuxt.js erstellt und bietet eine benutzerfreundliche Oberfläche für die Anzeige von Inhalten. Die Webseite ist für Feuerwehren konzipiert und bietet eine einfache Möglichkeit, Informationen zu veröffentlichen und zu verwalten.

Eine Demo dieser Seite finden Sie unter [https://ff-demo.jk-effects.cloud](https://ff-demo.jk-effects.cloud).

## Installation

### Docker Compose Setup

Um den Container hochzufahren, erstellen Sie eine `docker-compose.yml` Datei mit folgendem Inhalt:

```yaml
version: "3"

services:
  ff-landingpage:
    image: docker.registry.jk-effects.cloud/ehrenamt/ff-webpage/frontend:latest
    container_name: ff_landingpage
    restart: unless-stopped
    environment:
      - NUXT_STRAPI_URL=<cms_url>
      - NUXT_PUBLIC_STRAPI_URL=<cms_url>
      - NUXT_PUBLIC_APP_TITLE=<website_titel>
    ports:
      - "3000:3000"
    #volumes:
    #  - <volume|local path>/favicon.png:/app/.output/public/favicon.png
```

Führen Sie dann den folgenden Befehl im Verzeichnis der compose-Datei aus, um den Container zu starten:

```sh
docker-compose up -d
```

### Manuelle Installation

Klonen Sie dieses Repository und installieren Sie die Abhängigkeiten:

```sh
git clone https://forgejo.jk-effects.cloud/Ehrenamt/ff-webpage.git
cd ff-webpage
npm install
npm run build
npm run start
```

### Konfiguration

Ein eigenes favicon kann über ein volume ausgetauscht werden.

Die Umgebungsvariablen `NUXT_STRAPI_URL`, `NUXT_PUBLIC_STRAPI_URL` und `NUXT_PUBLIC_APP_TITLE` müssen gesetzt werden. `NUXT_STRAPI_URL` und `NUXT_PUBLIC_STRAPI_URL` müssen auf die URL des Strapi CMS zeigen. `NUXT_PUBLIC_APP_TITLE` ist der Titel der Webseite, der oben im Tab angezeigt wird

## Fragen und Wünsche

Bei Fragen, Anregungen oder Wünschen können Sie sich gerne melden.\
Wir freuen uns über Ihr Feedback und helfen Ihnen gerne weiter.\
Schreiben Sie dafür eine Mail an julian.krauser@jk-effects.com.
